> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/qs-stream-management/qs-deltakerfromstream.md).

# qs/delTakerFromStream

**POST api/qs/delTakerFromStream**

Sent by a LP to FM to remove a taker from a stream’s consumer list. Removing the last remaining taker from a stream is not allowed.

### Request

{% tabs %}
{% tab title="Schema" %}

```json
{
  "streamId": <string>,
  "takerId": <Efx::ClientId>
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
  "streamId": "1001c623-c99b-4a06-9577-fd91ae8b600f",
  "takerId": 2
}
```

{% endtab %}
{% endtabs %}

#### Request Fields

| Field    | Type     | Description                        |
| -------- | -------- | ---------------------------------- |
| streamId | string   | ID of a stream to update, required |
| takerId  | ClientID | ID of a taker to remove, required  |

### Response

{% tabs %}
{% tab title="Schema" %}

```json
{
  "error": <int>
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
}
```

{% endtab %}
{% endtabs %}

#### Response Fields

| Field | Type | Description                                       |
| ----- | ---- | ------------------------------------------------- |
| error | int  | Error code, 0 or not present on success, optional |
